4

Further to these questions:

How does one install EdXposed on Android 11?

Notes:

  1. This is a self answered question consolidating information from several threads on XDA / Github/ Twitter and my experience on Pixel 4a to give a helpful start to that dying breed who like to install modules . Edxposed is still in beta and Android 11 is recently released, so there would be many changes to this answer in future. Since I do not intend to update this answer with developments, others are welcome to add and modify - sadly, in the previous two questions, there hasn't been a single edit barring mine :(. Moderators are welcome to make this a community wiki if warranted.

  2. Answer is generic in nature and for issues relating to installation / modules you are better off asking in respective device/module threads in XDA.

2

Like I mentioned in the question, a major problem with EdXposed is lack of documentation. There is an [OFFICIAL] EdXposed - The successor of Xposed [Oreo/Pie/Q/R, 2020/07/19] thread opened by Mlgmxyysd, one of EdXposed main developers but, sadly doesn't provide any useful information.

Updated on 06 January 21 , likely the last update from me..feel free to improve

  • EdXposed canary version supports Android 11 for the last couple of months but official support has been announced a fortnight ago (v0.5.1.3)

  • Information is valid as of writing.

  • This is NOT a support thread. I am not frequenting SE,and therefore cannot answer your questions.


Pre-requisites (need to be updated from sources or as prompted by EdXPosed manager).

  • Magisk v21 + , with Magisk Manager from official Magisk thread. Note that some devices play well with certain versions of Magisk so it's better to search device threads in XDA for appropriate Magisk version for your device.

  • Riru-core latest release from Magisk modules or from GitHub (Please read the subsequent sections and choose the relevant option)

  • EdXposed canary drivers YAHFA/Sandhook from EdXposed manager v4.5.7. And the EdXposed manager

Important changes that dictate which method to use in the installation section that follows (also applicable to OLDER Android versions)

  • Obviously you have a rooted device running Android 11 , with Magisk installed. For most Android 11 devices including my Pixel 4a, Android 11 support was possible by using a canary version of Magisk(21004) ( I added that third party link because the official page only links to the latest). The latest release (21200) offers a better support.

So broadly speaking you have two alternatives

  • Magisk canary (21004) which can only be used with Sandhook or YAHFA version 4.x, for Android 11 or YAHFA v 0.4.x.x for older versions

  • Magisk canary (21200)(or corresponding stable for older Androids) which can only be used with Sandhook or YAHFA version 5 for e.g. YAHFA v0.5.0.6

  • Reason of being aware of this that this is linked to changes in Riru and corresponding YAHFA or Sandhook drivers. Riru v 21.x can only be used with the first option and Riru v 23.x can only be used with second option

Eeks..what's with Riru now?

  • To put it simply Riru v 23.x made a ton of changes that needed YAHFA or Sandhook drivers to be updated (which have been done). Version 5 of YAHFA or Sandhook are Compatible with Riru V 23.x . No backward compatibility.

  • This change can also affect your choice of modules. See this for an example. Module developer may be implementing methods which may need to be changed. If they don't , you can't use Riru v 23.x , simple.

  • On Pixel 4a ,I am using the Riru v 23.x with YAHFA v 5.x

Installation

This being a canary version, installation is unconventional (though I have read some posts that the conventional way (see linked questions in the body of question also work on some devices)

  • Install EdXposed Manager v4.5.7.

  • From the canary tab download the YAHFA/ Sandhook drivers (zip) . Note that downloaded version may have a different name from the file name in canary tab.

  • Install Riru-core module first from Magisk Repo. Don't reboot.

  • Install downloaded YAHFA or Sandhook using install from storage option of Magisk.

  • If you want to verify the status of Riru , there is an official Riru app, made available by the Edxposed team.

  • Reboot and profit!

YAHFA or Sandhook drivers?.

YAHFA is relatively slower but stable by most accounts compared to Sandhook. You would need to check XDA for what works best for your device/Android version. For me, it has been YAHFA on my earlier and current device. In addition, you may be better off installing YAHFA , if root detection is a concern. As Mlgmxyysd says in her tweet

SandHook has faster boot speed, but leaves pre-compiled files in the cache, which can be detected by some apps

Modules

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.